NM -NL- **`SKILLS`[SKILLS_HEADING]** -NL- Swift 5.x, 4.x, 3.x • -NL- Objective-C • -NL- CocoaTouch • -NL- UIKit • Core Graphics -NL- • Core Data • UIKit • -NL- CoreVideo • -NL- CoreImage • MapKit -NL- • CoreLocation • -NL- Social Framework • -NL- Accounts • -NL- CameraViewControlle -NL- r • AVPlayer • -NL- Facebook SDK • -NL- Twitter SDK • -NL- SwiftyJSON • -NL- Alamofire • -NL- RNCryptor • Zepling -NL- • FastLane • -NL- TestFlight • -NL- SourceTree • GitLab -NL- • BitBucket • Pair -NL- Programming • JIRA -NL- • GitHub • Agile • -NL- Kanban • Model View -NL- Controller (MVC) • -NL- Model View -NL- ViewModel (MVVM) -NL- **`NOBAT MARRI`[NAME]** -NL- IOS APPLICATIONS DEVELOPER -NL- **`NOBATMARRI78@GMAIL.COM`[EMAILS_EMAIL]** -NL- | **`07508521168`[PHONES_PHONE]** -NL- **`EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- **`Snr iOS Developer`[EMPLOYER_ROLE]** •**` Dixons Carphone`[EMPLOYER_COMPANY_NAME]** -NL- June 2019 – Current -NL- CURRYS PC WORLD -NL- Role & Responsibilities: -NL- - Collaborated with the designer to better meet the Human -NL- Interface Guidelines provided by Apple, and to produce a user -NL- experience consistent with what a user would be used to -NL- - Used Fastlane to save time doing things related to releasing the -NL- TestFlight build and release to the Apple Appstore -NL- - Used Zeplin for design/asset management -NL- - Refactored MVVM code to reduce complexity, remove code smells -NL- using SonarQube, and improve readability -NL- - Used Swift 5 and 4.2 -NL- - Worked on voice search for searching products in the app -NL- - Integrated iOS 13 Dark/Light theme -NL- - Wrote Unit tests using XCTests -NL- - Integrated login along with Touch ID and Face ID to support the -NL- most secure authentication methods -NL- - Used JIRA to manage backlog and tasks along with bug fixes -NL- tracking -NL- - Implemented HTML wrap pages and styling in IOS -NL- - Implemented Keychain for encryption of passwords keeping the -NL- user’s security a top priority -NL- - Integrated Checkout and Basket as Wrapped pages using WebKit -NL- including interaction with JavaScript callbacks -NL- - Wrote Unit tests using XCode’s own XCTests -NL- **`iOS Developer`[EMPLOYER_ROLE]** • **`Ideagen`[EMPLOYER_COMPANY_NAME]** -NL- July 2018 – May 2019 -NL- CORUSIN REPORTING -NL- Role & Responsibilities: -NL- **`NOBATMARRI78@GMAIL.COM`[EMAILS_EMAIL]** -NL- **`07508521168`[PHONES_PHONE]** -NL- 1 -NL- - Built entirely in swift 4 to leverage optimisations and high -NL- performance -NL- - Used LocalAuthentication framework to allow user to login using -NL- TouchID or FaceID -NL- - Communicating with server using Alamofire and SSL/Certificate -NL- Pinning, the light-weight open-source CocoaPods -NL- - Leveraging background refresh feature by iOS to send outbox -NL- items on network re-connection when app is running in the -NL- background and user is logged in -NL- - Used GitHub and GitHub desktop app to manage source code -NL- - Used JIRA to manage backlog and tasks along with bug fixes -NL- tracking -NL- - -NL- **`iOS App Developer`[EMPLOYER_ROLE]** • **`F-Secure`[EMPLOYER_COMPANY_NAME]** -NL- October 2017 – June 2018 -NL- F-SECURE KEY PASSWORD MANAGER -NL- Role & Responsibilities: -NL- - Tight integration with Exchange-Web-Services (EWS) to perform -NL- different operations such as create, update, delete folders and -NL- files -NL- - Written in Swift 3.0 -NL- - Multi part API to download and upload large files to the public -NL- folders and allow users to freely use the app meanwhile -NL- - Public calendar support and tight integration with Apple calendar -NL- app using EKCalendar with EventKit -NL- - Using Transport Layer Secutiry (TLS) to prevent Snooping, Man- -NL- in-the-middle attacks, Injection attacks -NL- - Use of NSCache to keep list of files and folders on the user device -NL- and load then quickly the next time app is opened -NL- - Universal app which supports iPhone and iPad, alongside Portrait -NL- and Landscape orientations -NL- - Using background mode to upload/download large files while the -NL- app is in the background mode -NL- **`iOS Developer`[EMPLOYER_ROLE]** • **`SavySoda`[EMPLOYER_COMPANY_NAME]** -NL- January 2017 – September 2017 -NL- DOCUMENTS & TEXTEDITOR -NL- Role & Responsibilities: -NL- - Worked in a team of 4 iOS developers. -NL- - Worked extensively with the iOS QuickLook framework and -NL- another in-house developed frame work for editing and creating -NL- new documents. -NL- - Developed module to integrate with Google Docs and Dropbox. -NL- - Worked extensively on writing code for the iCloud integration. -NL- - Worked in an XP agile development environment. -NL- - App was developed using ARC with view controllers using XIB. -NL- **`NOBATMARRI78@GMAIL.COM`[EMAILS_EMAIL]** -NL- **`07508521168`[PHONES_PHONE]** -NL- 2 -NL- - Used Concurrent Programming to keep the UI interactive while -NL- loading documents and other response from Web Service in the -NL- background. -NL- - Used instruments for identifying memory usage patterns and -NL- profiling for method performance launch times, threads and core -NL- optimisation. -NL- **`Jnr iOS App Developer`[EMPLOYER_ROLE]** • **`TLA Systems`[EMPLOYER_COMPANY_NAME]** -NL- March 2015 – January 2017 -NL- PCALC -NL- Role & Responsibilities: -NL- - Test Driven Development using Quick & Nimble -NL- - Made in Swift 3.x and later upgraded to Swift 4 -NL- - Provide vibration feedback to the user by using -NL- AudioServicesPlayAlertSound -NL- - Using AutoLayout allows app to run on any type of iOS device, a -NL- universal app -NL- - UIAppearance APIs to set theme as per the user’s choice -NL- - In-app purchase for tip and to unlock other exciting features -NL- - Using AVSpeechSynthesizer to offer accessibility controls to help -NL- users listen to the actions and results -NL- - Allows users to change app icon using UIApplication’s -NL- supportsAlternateIcons -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- **`BSc`[EDUCATION_DEGREE]** **`Computer Science`[EDUCATION_COURSE]** • **`Birkbeck University of London`[EDUCATION_INSTITUTE]** -NL- **`NOBATMARRI78@GMAIL.COM`[EMAILS_EMAIL]** -NL- **`07508521168`[PHONES_PHONE]** -NL- 3 -NL- 